# Matrix-Server (Synapse-Server)



## Anwendung

Vom Server werden sämtliche Applikationen, welche auf dem Matrix-Protokoll aufbauen, unterstützt und können nach Belieben gewählt werden. In diesem Beispiel wird mit Element (ehemalig Riot.im) gearbeitet, da dies der bekannteste Client für einen Matrix-Server ist. Element ist als Weboberfläche und als App verfügbar.

### Anwendung über das Webinterface

Das Webinterface von Element ist via https://app.element.io/ erreichbar.



#### Sign-Up

Wenn die Registrierung auf dem Standard-Server https://matrix.org erfolgt, ist es möglich dass einige Nutzer und Räume nicht gefunden werden, da diese nur für Benutzer des Servers https://matrix.420joos.dev freigegeben sind.

Deshalb sollte als erstes der Homeserver https://matrix.420joos.dev konfiguriert werden. Dafür die Auswahl der Homeserver öffnen.

![Sign up edit homeserver](docu_attachments/img/app_element_io_sign_up_edit_homeserver.png)

Dann muss der Punkt "Anderer Heimserver" ausgewählt werden. Dort wird die Server-Adresse matrix.420joos.dev eingetragen.

![Sign up change server address](docu_attachments/img/app_element_io_sign_up_homeserver_address.png)

Der Dialog kann mit "Forfahren" bestätigt und geschlossen werden. Nun kann ein Username und ein Passwort gewählt werden. Dabei ist zu beachten:

- Passwort (erforderliche Zeichen)
  - Minimale Länge: 0 Zeichen (zukünftig 8 Zeichen)
  - (Zukünftig mindestens eine Zahl)
  - (Zukünftig mindestens einen Kleinbuchstaben)
  - (Zukünftig mindestens einen Grossbuchstaben)
  
  Eingeklammerte Spezifikationen sind momentan noch nicht erforderlich, werden aber in einem zeitnahen Upgrade des Servers umgesetzt. Es wird deshalb empfohlen, diese bereits jetzt zu umtzsetzen. 
- Username (erlaubte Zeichen)
  - Kleinbuchstaben
  - Zahlen
  - Bindestrich (-) und Unterstrich (_)

![Sign up set username and password](docu_attachments/img/app_element_io_sign_up_username_pw.png)



#### Sign-In

Beim Homeserver muss die Serveradresse angegeben werden bei welcher die Registrierung erfolgte. Dafür die Auswahl der Homeserver öffnen.

![Sign in edit homeserver](docu_attachments/img/app_element_io_login_edit_homeserver.png)

Dann muss der Punkt "Anderer Heimserver" ausgewählt werden. Dort wird die Server-Adresse des Servers, auf dem die Registrierung erfolgte, z.B. matrix.420joos.dev, eingetragen.

![Sign in change server address](docu_attachments/img/app_element_io_login_homeserver_address.png)

Der Dialog kann mit "Forfahren" bestätigt und geschlossen werden. Nun nur noch den Usernamen und das Passwort angeben und mit "Anmelden" einloggen.

![Sign in fill username and password](docu_attachments/img/app_element_io_login_username_pw.png)

Das neue Login sollte mit einem bereits bestehenden Login verifiziert werden, da ansonsten alte Nachrichten nicht mehr entschlüsseln werden können und man den übrigen Usern als unverifiziert angezeigt wird. Zudem sind einige Räume nur verifizierten Sitzungen zugänglich.

*Alternativ kann das Login mittels eines generierten Sicherheitsschlüssels verifiziert werden. Tutorial noch nicht fertig. Benutzung auf eigene Gefahr!*

Die Verifizierung wird mit "Mit anderem Gerät verifizieren" gestartet.

![Sign in choose verification method](docu_attachments/img/app_element_io_login_verification.png)

Nun wird auf allen weiteren angemelteten Sitzungen eine Meldung für die für die Bestätigung der Verifizierung angezeigt.

![Sign in verification message web](docu_attachments/img/app_element_io_login_verification_web.png)

<img alt="Sign in verification message app" src="docu_attachments/img/app_element_io_login_verification_client_verify_device.jpg" style="zoom:30%;" />

Wenn eines der beiden Geräte fähig ist, einen QR-Code auf dem anderen Gerät zu lesen, sollte "Ihren Code scannen" ausgewählt werden. Andernfalls kann auch die weniger sichere Methode, Emojis vergleichen, gewählt werden. 

![Sign in verification qr code](docu_attachments/img/app_element_io_login_verification_qr.png)

<img alt="Sign in verification scan qr code" src="docu_attachments/img/app_element_io_login_verification_client_verify_device_scan_code_or_other_method.jpeg" style="zoom:30%;" />

Nun noch den QR-Code scannen.

<img alt="Sign in verification scanning qr code" src="docu_attachments/img/app_element_io_login_verification_client_scan_qr.jpg" style="zoom:30%;" />

Wenn die angezeigten Schilder übereinstimmen, den Dialog bestätigen. Die Verifizierung war erfolgreich!

![Sign in confirm verification](docu_attachments/img/app_element_io_login_verification_apply.png)

